rake generate_secret_token not working

Added by Maneesh Prakash almost 4 years ago

I am trying to install redmine 3.3.2 and am running into an error when running the command bundle exec rake generate_secret_token

The versions of ruby and bundler as as follows
ruby 2.4.0p0 (2016-12-24 revision 57164) [x86_64-linux]
Bundler version 1.13.7
The OS is redhat 7

The output is

# bundle exec rake generate_secret_token
/usr/local/rvm/gems/ruby-2.4.0/gems/rake-0.8.7/lib/rake/alt_system.rb:32:in `<module:AltSystem>': uninitialized constant Rake::AltSystem::Config (NameError)
Did you mean?  RbConfig
        from /usr/local/rvm/gems/ruby-2.4.0/gems/rake-0.8.7/lib/rake/alt_system.rb:31:in `<top (required)>'
        from /usr/local/rvm/gems/ruby-2.4.0/gems/rake-0.8.7/lib/rake/win32.rb:3:in `require'
        from /usr/local/rvm/gems/ruby-2.4.0/gems/rake-0.8.7/lib/rake/win32.rb:3:in `<module:Rake>'
        from /usr/local/rvm/gems/ruby-2.4.0/gems/rake-0.8.7/lib/rake/win32.rb:2:in `<top (required)>'
        from /usr/local/rvm/gems/ruby-2.4.0/gems/rake-0.8.7/lib/rake.rb:41:in `require'
        from /usr/local/rvm/gems/ruby-2.4.0/gems/rake-0.8.7/lib/rake.rb:41:in `<top (required)>'
        from /usr/local/rvm/gems/ruby-2.4.0/gems/rake-0.8.7/bin/rake:26:in `require'
        from /usr/local/rvm/gems/ruby-2.4.0/gems/rake-0.8.7/bin/rake:26:in `<top (required)>'
        from /usr/local/rvm/gems/ruby-2.4.0/bin/rake:22:in `load'
        from /usr/local/rvm/gems/ruby-2.4.0/bin/rake:22:in `<main>'
        from /usr/local/rvm/gems/ruby-2.4.0/bin/ruby_executable_hooks:15:in `eval'
        from /usr/local/rvm/gems/ruby-2.4.0/bin/ruby_executable_hooks:15:in `<main>'

Replies (8)

RE: rake generate_secret_token not working - Added by Go MAEDA almost 4 years ago

Rake 0.8.7 is too old. It was released 8 years ago.

RE: rake generate_secret_token not working - Added by Maneesh Prakash almost 4 years ago

Thanks. Upgraded to 12.0 and it seems to have worked.

RE: rake generate_secret_token not working - Added by Mikhail Bakhterev almost 4 years ago

I've similar problem, as it seems. The command RAILS_ENV=production bundle exec rake db:migrate fails while i'm trying to install Redmine-3.3.2. The error log is attached.

Versions:

$ bundle version
Bundler version 1.13.7
$ ruby --version
ruby 2.4.0p0 (2016-12-24 revision 57164) [armv7l-linux-eabihf]
$ uname -a
Linux k 4.9.4-1-ARCH #1 SMP Sun Jan 15 23:08:44 MST 2017 armv7l GNU/Linux

Many thanks in advance for any suggestions

db-migrate.log.xz (1.04 KB)

RE: rake generate_secret_token not working - Added by Maneesh Prakash almost 4 years ago

Trying to submit a response but getting the following error:
Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

RE: rake generate_secret_token not working - Added by Maneesh Prakash almost 4 years ago

I can't seem to submit my response. So I have screenshoted it. This is probably a good sign because it probably means the system has detected something that may be of help to you and is actively preventing me from communicating it to you.

response.PNG - response screenshot (23.5 KB)

RE: rake generate_secret_token not working - Added by Mischa The Evil almost 4 years ago

Mikhail Bakhterev wrote:

I've similar problem, as it seems. The command RAILS_ENV=production bundle exec rake db:migrate fails while i'm trying to install Redmine-3.3.2. The error log is attached.

Versions:

...
$ ruby --version
ruby 2.4.0p0 (2016-12-24 revision 57164) [armv7l-linux-eabihf]
...

Mikhail, this is not the same problem as Maaneesh experienced. You are tying to use Ruby 2.4.0 which is not yet supported by Redmine nor the version of Rails that is currently used by Redmine. See RedmineInstall#Requirements for an overview of which versions are supported at the moment.

RE: rake generate_secret_token not working - Added by Mischa The Evil almost 4 years ago

Maneesh Prakash wrote:

I can't seem to submit my response. So I have screenshoted it. [...]

Maneesh, please don't do this kind of stuff to any (public) Redmine deployments and please refrain from giving such advice to others...

RE: rake generate_secret_token not working - Added by Mikhail Bakhterev almost 4 years ago

Mischa The Evil wrote:

Mikhail, this is not the same problem as Maaneesh experienced. You are tying to use Ruby 2.4.0 which is not yet supported by Redmine nor the version of Rails that is currently used by Redmine. See RedmineInstall#Requirements for an overview of which versions are supported at the moment.

Thank you. Next time i will be more careful reading instructions.

(1-8/8)